# debugFile and perfFile appenders are off by default
log4j.rootLogger=perf#redwood.wachabe.utility.log4j.PerfLevel, console, errorFile, debugFile

##########################################################################
## LOG OUTPUT DEFINITIONS
## console, debugFile, errorFile, perfFile
##########################################################################

# Console
log4j.appender.console.Threshold=INFO
log4j.appender.console=org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern=%-5p: %C{1}.%M() - %m%n

# Debug file
log4j.appender.debugFile.Threshold=DEBUG
log4j.appender.debugFile=org.apache.log4j.RollingFileAppender
log4j.appender.debugFile.File=logs\\rwsdk_debug.log
log4j.appender.debugFile.MaxFileSize=5000KB
log4j.appender.debugFile.MaxBackupIndex=5
log4j.appender.debugFile.layout=org.apache.log4j.PatternLayout
log4j.appender.debugFile.layout.ConversionPattern=%d --%5p-- %l - %m%n

# Error file 
log4j.appender.errorFile.Threshold=ERROR
log4j.appender.errorFile=org.apache.log4j.RollingFileAppender
log4j.appender.errorFile.File=logs\\rwsdk_error.log
log4j.appender.errorFile.MaxFileSize=500KB
log4j.appender.errorFile.MaxBackupIndex=5
log4j.appender.errorFile.layout=org.apache.log4j.PatternLayout
log4j.appender.errorFile.layout.ConversionPattern=%d --%5p-- %l - %m%n

# Perf file
log4j.appender.perfFile.Threshold=PERF#redwood.wachabe.utility.log4j.PerfLevel
log4j.appender.perfFile=org.apache.log4j.RollingFileAppender
log4j.appender.perfFile.File=logs\\rwsdk_perf.log
log4j.appender.perfFile.MaxFileSize=5000KB
log4j.appender.perfFile.MaxBackupIndex=5
log4j.appender.perfFile.layout=org.apache.log4j.PatternLayout
log4j.appender.perfFile.layout.ConversionPattern=%d --%5p-- %l - %m%n


##########################################################################
## LOGGING LEVELS FOR DIFFERENT LOGGERS
## Values are: ALL, DEBUG, INFO, WARN, ERROR, FATAL, OFF
##########################################################################

# SDK packages
com.redwood.r2w.sdk=DEBUG

# Axis packages
log4j.logger.org.apache.axis=INFO